/*
 * C
 *
 * Copyright 2024 MicroEJ Corp. All rights reserved.
 * Use of this source code is governed by a BSD-style license that can be found with this software.
 *
 */

#include <stdio.h>
#include "sni.h"

#ifdef __cplusplus
    extern "C" {
#endif

void fillArrayDo(uint8_t * array, jint length){
  *(array-=2)=1; // Write outside of the array
}

void Java_com_microej_demo_widget_radiobutton_widget_RadioButton_fillArray(uint8_t * array, jint length){

  int32_t crcBefore = LLMJVM_checkIntegrity();
  fillArrayDo(array, length);
  int32_t crcAfter = LLMJVM_checkIntegrity();
  if(crcBefore != crcAfter){
         // Corrupted MicroJVM virtual machine internal structures
         while(1);
  }
}

#ifdef __cplusplus
    }
#endif
